import { AccountAddress, AutomaticCircleBridge, Chain, ChainAddress, ChainsConfig, Contracts, Network, Platform } from '@wormhole-foundation/connect-sdk';
import { Provider } from 'ethers';
import { CircleRelayer } from './ethers-contracts';
import { EvmChains, EvmPlatformType, EvmUnsignedTransaction } from '@wormhole-foundation/connect-sdk-evm';
export declare class EvmAutomaticCircleBridge<N extends Network, C extends EvmChains> implements AutomaticCircleBridge<N, EvmPlatformType, C> {
    readonly network: N;
    readonly chain: C;
    readonly provider: Provider;
    readonly contracts: Contracts;
    readonly circleRelayer: CircleRelayer;
    readonly chainId: bigint;
    private constructor();
    static fromRpc<N extends Network>(provider: Provider, config: ChainsConfig<N, Platform>): Promise<EvmAutomaticCircleBridge<N, EvmChains>>;
    getRelayerFee(destination: Chain): Promise<bigint>;
    transfer(sender: AccountAddress<C>, recipient: ChainAddress, amount: bigint, nativeGas?: bigint): AsyncGenerator<EvmUnsignedTransaction<N, C>>;
    private createUnsignedTx;
}
//# sourceMappingURL=automaticCircleBridge.d.ts.map